/************************************************************
*                                                           *
*  External Declarations for iRMX II NUCLEUS System calls  *
*                                                           *
************************************************************/

typedef int     TOKEN;
typedef int     SELECTOR;


extern alien rq$acceptcontrol();

extern alien rq$altercomposite();

extern alien rq$catalogobject();

extern alien TOKEN rq$createcomposite();

extern alien TOKEN rq$createextension();

extern alien TOKEN rq$createjob();

extern alien TOKEN rq$createmailbox();

extern alien TOKEN rq$createregion();

extern alien SELECTOR rq$createsegment();

extern alien TOKEN rq$createsemaphore();

extern alien TOKEN rq$createtask();

extern alien rq$deletecomposite();

extern alien rq$deleteextension();

extern alien rq$deletejob();

extern alien rq$deletemailbox();

extern alien rq$deleteregion();

extern alien rq$deletesegment();

extern alien rq$deletesemaphore();

extern alien rq$deletetask();

extern alien rq$disable();

extern alien rq$disabledeletion();

extern alien rq$enable();

extern alien rq$enabledeletion();

extern alien rq$endinittask();

extern alien rq$enterinterrupt();

extern alien rq$exitinterrupt();

extern alien rq$forcedelete();

extern alien rq$getexceptionhandler();

extern alien unsigned short rq$getlevel();

extern alien rq$getpoolattrib();

extern alien unsigned short rq$getpriority();

extern alien unsigned short rq$getsize();

extern alien TOKEN rq$gettasktokens();

extern alien unsigned short rq$gettype();

extern alien rq$inspectcomposite();

extern alien TOKEN rq$lookupobject();

extern alien TOKEN rq$offspring();

extern alien rq$receivecontrol();

extern alien unsigned short rq$receivedata();

extern alien TOKEN rq$receivemessage();

extern alien unsigned short rq$receiveunits();

extern alien rq$resetinterrupt();

extern alien rq$resumetask();

extern alien rq$sendcontrol();

extern alien rq$senddata();

extern alien rq$sendmessage();

extern alien rq$sendunits();

extern alien rq$setexceptionhandler();

extern alien rq$setinterrupt();

extern alien rq$setpoolmin();

extern alien rq$setpriority();

extern alien rq$signalexception();

extern alien rq$signalinterrupt();

extern alien rq$sleep();

extern alien rq$suspendtask();

extern alien rqe$timedinterrupt();

extern alien rq$uncatalogobject();

extern alien rq$waitinterrupt();

extern alien rqe$changedescriptor();

extern alien rqe$changeobjectaccess();

extern alien TOKEN rqe$createdescriptor();

extern alien TOKEN rqe$createjob();

extern alien rqe$deletedescriptor();

extern alien unsigned long rqe$getaddress();

extern alien rqe$getobjectaccess();

extern alien rqe$getpoolattrib();

extern alien rqe$offspring();

extern alien rqe$setosextension();

extern alien TOKEN rq$createbufferpool();

extern alien rq$delete$bufferpool();

extern alien TOKEN rq$requestbuffer();

extern alien rq$releasebuffer();

extern alien unsigned char rq$getinterconnect();

extern alien rq$setinterconnect();

extern alien TOKEN rq$createport();

extern alien rq$attachbufferpool();

extern alien rq$attachport();

extern alien rq$broadcast();

extern alien rq$cancel();

extern alien rq$connect();

extern alien TOKEN rq$createport();

extern alien rq$deleteport();

extern alien TOKEN rq$detachbufferpool();

extern alien rq$detachport();

extern alien unsigned int rq$gethostid();

extern alien rq$getportattributes();

extern alien rq$receivefragment();

extern alien char *rq$receivereply();

extern alien char *rq$receive();

extern alien unsigned int rq$send();

extern alien unsigned int rq$sendreply();

extern alien unsigned int rq$sendrsvp();

extern alien rq$sendsignal();

extern alien rq$receivesignal();

/************************************************************
*                                                           *
*  External Declarations for IRMX II BIOS System calls     *
*                                                           *
************************************************************/

extern alien rq$a$attachfile();

extern alien rq$a$changeaccess();

extern alien rq$a$close();

extern alien rq$a$createdirectory();

extern alien rq$a$createfile();

extern alien rq$a$deleteconnection();

extern alien rq$a$deletefile();

extern alien rq$a$getconnectionstatus();

extern alien rq$a$getdirectoryentry();

extern alien rq$a$getextensiondata();

extern alien rq$a$getfilestatus();

extern alien rq$a$getpathcomponent();

extern alien rq$a$open();

extern alien rq$a$physicalattachdevice();

extern alien rq$a$physicaldetachdevice();

extern alien rq$a$read();

extern alien rq$a$renamefile();

extern alien rq$a$seek();

extern alien rq$a$setextensiondata();

extern alien rq$a$special();

extern alien rq$a$truncate();

extern alien rq$a$update();

extern alien rq$a$write();

extern alien TOKEN rq$createuser();

extern alien rq$deleteuser();

extern alien rq$encrypt();

extern alien TOKEN rq$getdefaultprefix();

extern alien TOKEN rq$getdefaultuser();

extern alien rq$getglobaltime();

extern alien unsigned long rq$gettime();

extern alien rq$inspectuser();

extern alien rq$setdefaultprefix();

extern alien rq$setdefaultuser();

extern alien rq$setglobaltime();

extern alien rq$settime();

extern alien unsigned short rq$waitio();

/************************************************************
*                                                           *
*  External Declarations for IRMX II EIOS System calls     *
*                                                           *
************************************************************/

extern alien TOKEN rq$createiojob();

extern alien rq$exitiojob();

extern alien rq$getlogicaldevicestatus();

extern alien rq$getuserids();

extern alien rq$hybriddetachdevice();

extern alien rq$logicalattachdevice();

extern alien rq$logicaldetachdevice();

extern alien TOKEN rq$s$attachfile();

extern alien rq$s$catalogconnection();

extern alien rq$s$changeaccess();

extern alien rq$s$close();

extern alien TOKEN rq$s$createdirectory();

extern alien TOKEN rq$s$createfile();

extern alien rq$s$deleteconnection();

extern alien rq$s$deletefile();

extern alien rq$s$getconnectionstatus();

extern alien rq$s$getdirectoryentry();

extern alien rq$s$getfilestatus();

extern alien rq$s$getpathcomponent();

extern alien TOKEN rq$s$lookupconnection();

extern alien rq$s$open();

extern alien unsigned short rq$s$readmove();

extern alien rq$s$renamefile();

extern alien rq$s$seek();

extern alien rq$s$special();

extern alien rq$s$truncatefile();

extern alien rq$s$uncatalogconnection();

extern alien unsigned short rq$s$writemove();

extern alien rq$startiojob();

extern alien rq$verifyuser();

extern alien TOKEN rqe$createiojob();

/************************************************************
*                                                           *
*  External Declarations for IRMX II LOADER System calls   *
*                                                           *
************************************************************/

extern alien rq$a$load();

extern alien TOKEN rq$a$loadiojob();

extern alien TOKEN rq$s$loadiojob();

extern alien rq$s$overlay();

extern alien TOKEN rqe$a$loadiojob();

extern alien TOKEN rqe$s$loadiojob();

/************************************************************
*                                                           *
*  External Declarations for IRMX II HI System calls       *
*                                                           *
************************************************************/

extern alien rq$c$backupchar();

extern alien TOKEN rq$c$createcommandconnection();

extern alien rq$c$deletecommandconnection();

extern alien rq$c$formatexception();

extern alien unsigned char rq$c$getchar();

extern alien rq$c$getcommandname();

extern alien TOKEN rq$c$getinputconnection();

extern alien rq$c$getinputpathname();

extern alien rq$c$getinputpathnamenowc();

extern alien TOKEN rq$c$getoutputconnection();

extern alien unsigned char rq$c$getoutputpathname();

extern alien unsigned char rq$c$getparameter();

extern alien rq$c$sendcoresponse();

extern alien rq$c$sendcommand();

extern alien rq$c$sendeoresponse();

extern alien rq$c$setcontrolc();

extern alien unsigned short rq$c$setparsebuffer();

/***eof***/
